libsswf: sswf::TagText::text_setup_t Struct Reference

# sswf::TagText::text_setup_t Struct Reference

Structure representing a text setup.

Inheritance diagram for sswf::TagText::text_setup_t:

List of all members.

## Public Member Functions
bool | IsUsed (void) const
| text_setup_t (const text_setup_t &setup)
| text_setup_t (void)
void | Unused (void)
## Public Attributes
Color | f_color
const TagFont * | f_font
unsigned short | f_font_height
bool | f_has_color
bool | f_has_font
bool | f_has_xadjust
bool | f_has_xoffset
bool | f_has_yoffset
long | f_x
long | f_xadjust
long | f_y

## Constructor & Destructor Documentation

TagText::text_setup_t::text_setup_t | ( | void |  | ) |

TagText::text_setup_t::text_setup_t | ( | const text_setup_t & | setup | ) |

References f_color, f_font, f_font_height, f_has_color, f_has_font, f_has_xadjust, f_has_xoffset, f_has_yoffset, f_x, f_xadjust, and f_y.

## Member Function Documentation

bool TagText::text_setup_t::IsUsed | ( | void |  | ) | const

References f_has_color, f_has_font, f_has_xadjust, f_has_xoffset, and f_has_yoffset.

Referenced by sswf::TagText::AddText(), and sswf::TagText::RecordSetup().

void TagText::text_setup_t::Unused | ( | void |  | ) |

References f_has_color, f_has_font, f_has_xadjust, f_has_xoffset, and f_has_yoffset.

Referenced by sswf::TagText::RecordSetup().

## Member Data Documentation

Color sswf::TagText::text_setup_t::f_color

Referenced by sswf::TagText::AddColor(), sswf::TagText::PreSave(), sswf::TagText::Save(), and text_setup_t().

const TagFont* sswf::TagText::text_setup_t::f_font

Referenced by sswf::TagText::AddFont(), sswf::TagText::PreSave(), sswf::TagText::Save(), and text_setup_t().

unsigned short sswf::TagText::text_setup_t::f_font_height

Referenced by sswf::TagText::AddFont(), sswf::TagText::PreSave(), sswf::TagText::Save(), and text_setup_t().

bool sswf::TagText::text_setup_t::f_has_color

Referenced by sswf::TagText::AddColor(), IsUsed(), sswf::TagText::PreSave(), sswf::TagText::RecordSetup(), sswf::TagText::Save(), text_setup_t(), and Unused().

bool sswf::TagText::text_setup_t::f_has_font

Referenced by sswf::TagText::AddFont(), IsUsed(), sswf::TagText::PreSave(), sswf::TagText::RecordSetup(), sswf::TagText::Save(), text_setup_t(), and Unused().

bool sswf::TagText::text_setup_t::f_has_xadjust

Referenced by sswf::TagText::DefineText(), IsUsed(), sswf::TagText::Save(), text_setup_t(), and Unused().

bool sswf::TagText::text_setup_t::f_has_xoffset

Referenced by sswf::TagText::AddOffsets(), IsUsed(), sswf::TagText::Save(), text_setup_t(), and Unused().

bool sswf::TagText::text_setup_t::f_has_yoffset

Referenced by sswf::TagText::AddOffsets(), IsUsed(), sswf::TagText::Save(), text_setup_t(), and Unused().

long sswf::TagText::text_setup_t::f_x

Referenced by sswf::TagText::AddOffsets(), sswf::TagText::Save(), and text_setup_t().

long sswf::TagText::text_setup_t::f_xadjust

Referenced by sswf::TagText::DefineText(), sswf::TagText::Save(), and text_setup_t().

long sswf::TagText::text_setup_t::f_y

Referenced by sswf::TagText::AddOffsets(), sswf::TagText::Save(), and text_setup_t().

The documentation for this struct was generated from the following files:

- libsswf.h
- libsswf_tag_text.c++